stopifnot(getRversion() >= 4)
options(width = 76)

###################################################
### 2. Monitoring R objects
###################################################
head(read.csv("supermarkets.csv"), 3)

###################################################
### 2.1. Monitoring changes in production scripts
###################################################
library("lumberjack")
out <- run_file("supermarkets_logged_1.R")


spm_log <- read.csv("spm_cellwise.csv") 
head(spm_log, 3)

run_file("supermarkets_logged_2.R")

read.csv("spm_expression.csv")[c("step", "mean_staff", "mean_other.rev")]

###################################################
### 2.2. Monitoring data in interactive mode
###################################################
spm <- read.csv("supermarkets.csv")
spm %L>% 
  transform(other.rev = ifelse(is.na(other.rev), 0, other.rev)) %L>%
  transform(ratio = turnover/total.rev) %L>%
  head(3)

out <- spm %L>% 
  start_log(cellwise$new(key = "id")) %L>%
  transform(other.rev = ifelse(is.na(other.rev), 0, other.rev)) %L>%
  transform(ratio = turnover/total.rev) %L>%
  stop_log()

spm_log <- read.csv("cellwise.csv")
rbind(head(spm_log, 1), tail(spm_log, 1))

source("trivial.R")
spm <- read.csv("supermarkets.csv")
out <- spm %L>% start_log(trivial$new()) %L>% identity() %L>% dump_log()
out <- spm %L>% start_log(trivial$new()) %L>% head(10) %L>% dump_log()


